Full-Text Indexes, Catalogs, and Search

A full-text index stores all the full-text words and their locations for a given table. A full-text catalog stores the full-text index of a database. The full-text service performs the full-text querying.


Full-Text Search Service Properties, General Tab

This section shows the options and their functions available on the General tab of the Full-Text Search Properties dialog box.

Service status

Displays the current status of the full-text search service. Click Refresh to get the latest status.

Default location of catalog files

Displays the default directory location for full-text catalog files. SQL Server Setup determines this location, making it a read-only property. However, an administrator can override this location when creating a full-text catalog.

Location of temporary files

Displays the directory location for temporary files. This property is established at setup and is read-only.

Location of error log files

Displays the directory location for error log files. This property is established at setup and is read-only.


New Full-Text Catalog Properties, New Full-Text Catalog Tab

This section shows the options and functions available on the New Full-Text Catalog tab of the New Full-Text Catalog Properties dialog box.

Name

Display and set the display name for a full-text catalog.

Location

Display and override the default full-text catalog location established during setup and displayed on the General tab.


New Full-Text Catalog Properties, Schedules Tab

Use to create full or incremental population schedules for the current full-text catalog. Each row represents a full or incremental population schedule. You can assign one or more full or incremental population schedules, or a combination of full-population times and incremental population times, to a full-text catalog. To modify a schedule, double-click the schedule, or select the schedule and click Edit. To add a schedule, click New Schedule. To delete a schedule, select the schedule and click Delete.


Full-Text Catalog Properties, Status Tab

This section shows the options and their functions available on the Status tab of the Full-Text Catalog Properties dialog box.

Name

Display the friendly name of the catalog. It is read-only.

Location

Display the root directory location of this catalog. It is read-only.

Physical catalog

Display the on-disk catalog name. It is read-only.

Status

Display the current population status of this catalog. The display can be updated by clicking the Refresh button. It is read-only.

The value is one of the following:

  • Idle

  • Full population in progress

  • Paused

  • Throttled

  • Recovering

  • Shutdown

  • Incremental population in progress

  • Building index

  • Disk is full. Paused

  • Change tracking

Item count

Display the number of tables and rows indexed in this full-text catalog. It is read-only.

Catalog size

Display the size in MB of the full-text catalog. It is read-only.

Unique key count

Display the count of unique nonnoise words indexed in the full-text catalog. It is read-only.

Last population date

Display the date and time this full-text catalog was last populated.

Note If a population is stopped immediately after starting, the Last population date will contain the date the population was started, even though it did not finish successfully.


Full-Text Search Catalog Properties, Tables Tab

This section shows the options and their functions available on the Tables tab of the Full-Text Search Catalog Properties dialog box.

Table

Displays the tables configured for full-text indexing using this full-text catalog.

Full-text indexing enabled

Displays for each table whether the full-text index is active and can be queried.


Full-Text Catalog Properties/Full-Text Indexing, Schedules Tab

Use to view or modify the list of full or incremental population schedules for the current full-text catalog. Each row represents a full or incremental population schedule. You can assign one or more full or incremental population schedules to a full-text catalog. To modify a schedule, double-click the schedule, or select the schedule and click Edit. To add a schedule, click New Schedule. To delete a schedule, select the schedule and click Delete.


New/Edit Full-Text Indexing Schedules

You can create or modify a full or incremental population schedule for the current full-text catalog. This section shows the options and their functions available in the New (or Edit) Full-Text Indexing Schedules dialog boxes.

Name

Display or modify the name of the schedule.

Enabled

Display or modify the enabled status of the selected schedule.

Job type (Full/Incremental)

Specify either a full or incremental population job type. Full population rebuilds all entries in the full-text catalog. Incremental population updates entries in the full-text catalog for tables with timestamped rows.

Start automatically when SQL Server Agent starts

Start the scheduled population automatically when SQL Server Agent starts.

One time

Start the scheduled population one time at the specified date and time.

On date

Specify the date on which you want the population to start.

At time

Specify the time at which you want the population to start.

Recurring

Start the scheduled population according to the displayed schedule information.

Change

Change the current recurring job schedule.


Table Properties, Full-Text Indexing Tab

This section shows the options and their functions available on the Full-Text Indexing tab of the Table Properties dialog box.

Full-text index status

Indicates whether the full-text index for this table is active or inactive. An active full-text index supports full-text queries.

Full-text catalog

Displays the name of the full-text catalog containing the full-text index for this table. You can find this full-text catalog in the Full-Text Catalog folder of this table's database.

Full-text unique key column

Displays the column name of the unique key used to identify table rows in the full-text index.

Full-text unique key index

Displays the index of the unique key used to identify table rows in the full-text index.

Full-text change-tracking

Indicates whether full-text change-tracking is enabled for this table.

Full-text update-index

Indicates whether full-text update-index is enabled for this table.

Columns

Displays the columns of this table. Textual columns selected to participate in full-text indexing are checked.